%global momorel 10
%global kochi_subst_ver 20030809
%global sazanami_ver 20040629

Summary: Free Japanese True Type Fonts
Name: truetype-fonts-ja
Version: 3.2
Release: %{momorel}m
License: see "README"
Group: User Interface/X
%NoSource 0 http://downloads.sourceforge.jp/efont/10087/sazanami-%{sazanami_ver}.tar.bz2 ceef10579a75c92483171f3bd7f77df2
%NoSource 1 http://downloads.sourceforge.jp/efont/5411/kochi-substitute-%{kochi_subst_ver}.tar.bz2 c4b14e287cf2b1688c649e2274e128b3

Source3: vfontcap.ttf-ja
Source4: fonts.scale.ttf-ja
Source5: fonts.alias.ttf-ja

URL: http://wiki.fdiary.net/font/?sazanami
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: XFree86-font-utils
PreReq: sh-utils, chkfontpath

%description
Free Japanese True Type Fonts (mincho and gothic)

%prep
%setup -q -n sazanami-%{sazanami_ver} -a 1
mv kochi-substitute-%{kochi_subst_ver}/*.ttf .

%build

%install
rm -rf %{buildroot}
%global instancedir /usr/share/fonts/truetype/japanese
%global xfontdir /usr/X11R6/lib/X11/fonts/truetype-ja

mkdir -p %{buildroot}%{instancedir}
mkdir -p %{buildroot}%{xfontdir}

install -m 644 sazanami-gothic.ttf %{buildroot}%{instancedir}
install -m 644 sazanami-mincho.ttf %{buildroot}%{instancedir}
install -m 644 kochi-gothic-subst.ttf %{buildroot}%{instancedir}
install -m 644 kochi-mincho-subst.ttf %{buildroot}%{instancedir}

ln -s %{instancedir}/sazanami-gothic.ttf %{buildroot}%{xfontdir}/sazanami-gothic.ttf
ln -s %{instancedir}/sazanami-mincho.ttf %{buildroot}%{xfontdir}/sazanami-mincho.ttf
ln -s %{instancedir}/kochi-gothic-subst.ttf %{buildroot}%{xfontdir}/kochi-gothic-subst.ttf
ln -s %{instancedir}/kochi-mincho-subst.ttf %{buildroot}%{xfontdir}/kochi-mincho-subst.ttf

install -m0644 %{SOURCE4} %{buildroot}%{xfontdir}/fonts.scale
install -m0644 %{SOURCE5} %{buildroot}%{xfontdir}/fonts.alias

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
			 -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 %{buildroot}%{xfontdir}

mkdir -p %{buildroot}/etc
install -m0644 %SOURCE3 %{buildroot}/etc/vfontcap

%post
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -qa %{xfontdir}
  if ! (grep /usr/X11R6/lib/X11/fonts/truetype-ja /etc/X11/XftConfig >& /dev/null) ; then
    echo dir \"/usr/X11R6/lib/X11/fonts/truetype-ja\" >> /etc/X11/XftConfig
  fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
  if [ -x /usr/sbin/chkfontpath ]; then
    /usr/sbin/chkfontpath -qr %{xfontdir}
    grep -v /usr/X11R6/lib/X11/fonts/truetype-ja /etc/X11/XftConfig > /etc/X11/XftConfig.new
    mv /etc/X11/XftConfig.new /etc/X11/XftConfig
  fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README doc kochi-substitute-%{kochi_subst_ver}
%dir %{instancedir}
%dir %{xfontdir}
%{xfontdir}/*.ttf
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/fonts.alias
%config(noreplace) %{xfontdir}/encodings.dir
%config(noreplace) /etc/vfontcap
%{instancedir}/*.ttf

%changelog
* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-10m)
- update sazanami to 20040629

* Mon Jun 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-9m)
- update sazanami to 20040621

* Sat Jun 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2-8m)
- use sazanami fonts as default fonts
- remove aliases for wadalab and watanabe fonts

* Sun Oct 26 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2-7m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Oct  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-6m)
- correct a wrong symlink

* Tue Aug 12 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-5m)
- update kochi-substitute to 20030809

* Thu Jun 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-4m)
- update kochi-substitute to 20030626

* Mon Jun 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-3m)
- add more documents

* Mon Jun 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.2-2m)
- update kochi-substitute to 20030623

* Sat Jun 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.2-1m)
- TEMPORARY substitution font of Kochi fonts.
- see http://wiki.fdiary.net/font/?kochi-alternative for detail

* Tue Jan 21 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.1-43m)
- kochi-gothic-0.2.20030118

* Tue Jan 14 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.1-42m)
- kochi-gothic-0.2.20030111

* Thu Aug  1 2002 Hidetomo Machi <mcht@momonga-linux.org>
- (3.1-41m)
- kochi-0.2.20020727

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (3.1-40k)
- mkfontdir tukattendaro korua.

* Sun Apr  5 2002 Hidetomo Machi <mcht@kondara.org>
- (3.1-38k)
- kochi-0.2.20020503

* Mon Apr  1 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.1-36k)
- update to ttf-xtt_0.20010818-5.tar.gz

* Thu Mar 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.1-34k)
- kochi-0.2.20020326

* Fri Feb  8 2002 Tadataka YOSHIKAWA <yosshy@kondara.org>
- (3.1-32k)
- fix Source0-link from ttf-xtt_0.20010818-2 to ttf-xtt_0.20010818-4

* Fri Jan 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.1-30k)
- kochi-20020124

* Tue Jan  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.1-26k)
- kochi-20020108

* Thu Dec 20 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.1-26k)
- kochi-20011217

* Sun Dec  2 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.1-24k)
- fix %post

* Fri Nov 16 2001 Shingo Akagaki <dora@kondara.org>
- (3.1-22k)
- version up

* Fri Nov  2 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.1.20k)
- added entry of italics by kochi font and modified an entry of oblique.
- modified fonts.scale and fonts.alias

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (3.1-18k)
- add/remove XftConfig.

* Mon Oct 22 2001 Toru Hoshna <t@kondara.org>
- (3.1-16k)
- added jisx0201.1976-0 entries to fonts{dir,alias,scale} once again.
- thanks to Shigeyuki Yamashita <shige@cty-net.ne.jp>

* Tue Oct 16 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.1-14k)
- kochi-gothic-0.0.20011016
- kochi-mincho-0.0.20011016

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (3.1-12k)
- no xfs.

* Tue Sep 11 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.1-10k)
- updete kochi-gothic-0.0.20010806.tar.bz2
- update kochi-mincho-0.0.20010816.tar.bz2
- update ttf-xtt_0.20010818-2.tar.gz

* Tue Jun 06 2001 Kenzi Cano <kc@ring.gr.jp>
- (3.1-8k)
- vfontcap.ttf-ja typo fixed.

* Tue Jun 05 2001 Kenzi Cano <kc@ring.gr.jp>
- (3.1-6k)
- fonts.alias.ttf-ja remove jisx0201 entries.
- fonts.scale.ttf-ja remove jisx0201 entries.
- kochi-gothic-0.0.20010605.tar.bz2

* Tue Jun 05 2001 Kenzi Cano <kc@ring.gr.jp>
- (3.1-4k)
- vfontcap.ttf-ja default is kochi-fonts
- kochi-gothic-0.0.20010604.tar.bz2

* Sat Jun  2 2001 Shingo Akagaki <dora@kondara.org>
- change ttf-xtt tar ball
- fonts.alias bug fix

* Sun May 20 2001 Shingo Akagaki <dora@kondara.org>
- add kochi-gothic

* Mon May  7 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- add kochi-mincho

* Sun Apr 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0-8k)
- errased xset execution at %post and %postun section

* Sun Oct 22 2000 Akira Higuchi <a@kondara.org>
- obsoletes DynaLab-fonts-ja in order not to conflict with it

* Sat Sep 30 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- rename -xtt4netscape-* > -aliastt-*

* Sun Jul 23 2000 Toru Hoshina <t@kondara.org>
- version up.

* Tue Jul 11 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- including fonts.scale in X11 dir.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Sep 30 1999 Norihito Ohmori <ohmori@flatout.org>
- change name.
- add dffattr
- change group

* Tue Sep 9 1999 Norihito Ohmori <ohmori@flatout.org>
- change using chkfontpath

* Wed Dec 23 1998 MATSUMOTO Shoji <vine@flatout.org>
- 1-2
- change fonts.dir and fonts.alias
- some symbols defined
